GCLOUD_COMPUTE_IMAGES_LIST(1)

NAME

gcloud compute images list - list Google Compute Engine images

SYNOPSIS

gcloud compute images list [NAME ...] [--limit LIMIT] [--preview-images] [--regexp REGEXP, -r REGEXP] [--show-deprecated] [--sort-by SORT_BY] [--standard-images] [--uri] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute images list displays all Google Compute Engine images in a project.

POSITIONAL ARGUMENTS
[NAME ...]
    If provided, show details for the specified names and/or URIs of resources.

FLAGS
--limit LIMIT
    The maximum number of results.
--preview-images
    Show images that are in limited preview. The preview image projects are: (none)
--regexp REGEXP, -r REGEXP
    A regular expression to filter the names of the results on. Any names that do not match the entire regular expression will be filtered out.
--show-deprecated
    If provided, deprecated images are shown.
--sort-by SORT_BY
    A field to sort by. To perform a descending-order sort, prefix the value of this flag with a tilde (``~'').
--standard-images
    Show images from well-known image projects. The well known image projects are: centos-cloud, coreos-cloud, debian-cloud, google-containers, opensuse-cloud, rhel-cloud, suse-cloud, ubuntu-os-cloud, windows-cloud. Enabled by default, use --no-standard-images to disable.
--uri
    If provided, the list command will only print URIs for the resources returned. If this flag is not provided, the list command will print a human-readable table of useful resource data.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To list all images in a project in table form, run:
    $ gcloud compute images list
To list the URIs of all images in a project, run:
    $ gcloud compute images list --uri